# Uses of Class
org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader.BranchInfo

Packages that use InternalCDOBranchManager.BranchLoader.BranchInfo
Package
Description
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.

## Uses of InternalCDOBranchManager.BranchLoader.BranchInfo in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that return InternalCDOBranchManager.BranchLoader.BranchInfo
Modifier and Type
Method
Description
`InternalCDOBranchManager.BranchLoader.BranchInfo`
InternalCDOBranch.`getBranchInfo()`
`InternalCDOBranchManager.BranchLoader.BranchInfo`
InternalCDOBranchManager.BranchLoader.`loadBranch(int branchID)`
Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type InternalCDOBranchManager.BranchLoader.BranchInfo
Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.Pair<Integer,Long>`
InternalCDOBranchManager.BranchLoader.`createBranch(int branchID, InternalCDOBranchManager.BranchLoader.BranchInfo branchInfo)`
Creates a new branch with the given id and branch info.
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(int id, InternalCDOBranchManager.BranchLoader.BranchInfo branchInfo)`
Method parameters in org.eclipse.emf.cdo.spi.common.branch with type arguments of type InternalCDOBranchManager.BranchLoader.BranchInfo
Modifier and Type
Method
Description
`void`
InternalCDOBranchManager.BranchLoader4.`loadTags(String name, Consumer<InternalCDOBranchManager.BranchLoader.BranchInfo> handler)`